org.apache.iotdb.jdbc

## Class Config

- java.lang.Object
- - org.apache.iotdb.jdbc.Config

    public class Config
    extends Object

### Field Summary

Fields
`static String` `AUTH_PASSWORD`
`static String` `AUTH_USER`
`static int` `connectionTimeoutInMs`
`static String` `DEFALUT_PASSWORD`
`static String` `DEFAULT_SERIES_NAME` tsfile's default series name.
`static String` `DEFAULT_USER`
`static int` `fetchSize`
`static String` `IOTDB_DEFAULT_HOST`
`static int` `IOTDB_DEFAULT_PORT` If host is provided, without a port.
`static String` `IOTDB_URL_PREFIX` The required prefix for the connection URL.
`static String` `JDBC_DRIVER_NAME`
`static long` `RETRY_INTERVAL`
`static int` `RETRY_NUM`

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### IOTDB_URL_PREFIX

    public static final String IOTDB_URL_PREFIX

The required prefix for the connection URL.

See Also:
  Constant Field Values

#### IOTDB_DEFAULT_HOST

    public static final String IOTDB_DEFAULT_HOST

See Also:
  Constant Field Values

#### IOTDB_DEFAULT_PORT

    public static final int IOTDB_DEFAULT_PORT

If host is provided, without a port.

See Also:
  Constant Field Values

#### DEFAULT_SERIES_NAME

    public static final String DEFAULT_SERIES_NAME

tsfile's default series name.

See Also:
  Constant Field Values

#### AUTH_USER

    public static final String AUTH_USER

See Also:
  Constant Field Values

#### DEFAULT_USER

    public static final String DEFAULT_USER

See Also:
  Constant Field Values

#### AUTH_PASSWORD

    public static final String AUTH_PASSWORD

See Also:
  Constant Field Values

#### DEFALUT_PASSWORD

    public static final String DEFALUT_PASSWORD

See Also:
  Constant Field Values

#### RETRY_NUM

    public static final int RETRY_NUM

See Also:
  Constant Field Values

#### RETRY_INTERVAL

    public static final long RETRY_INTERVAL

See Also:
  Constant Field Values

#### fetchSize

    public static int fetchSize

#### connectionTimeoutInMs

    public static int connectionTimeoutInMs

#### JDBC_DRIVER_NAME

    public static final String JDBC_DRIVER_NAME

See Also:
  Constant Field Values